package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import net.wanji.common.utils.tool.StringUtils;

/**
 * @author duanruiming
 * @date 2024/12/03 19:14
 */
@Getter
@AllArgsConstructor
public enum GreenBeltDirEnum {
    E2W("e2w", "东向西"),
    W2E("w2e", "西向东"),
    N2S("n2s", "北向南"),
    S2N("s2n", "南向北");

    private String code;
    private String desc;

    public static String getDesc(String code) {
        for (GreenBeltDirEnum dirEnum : GreenBeltDirEnum.values()) {
            if (StringUtils.equalsIgnoreCase(code, dirEnum.getCode())) {
                return dirEnum.getDesc();
            }
        }
        return "";
    }
}
