package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.NoArgsConstructor;
import net.wanji.databus.vo.AbnormalCrossListVO;

import java.util.List;

@NoArgsConstructor
@Data
@ApiModel(value = "GreenWaveRunStateVO", description = "干线运行状态")
public class GreenWaveRunStateVO {

    @ApiModelProperty(value = "干线ID")
    private Integer greenId;

    @ApiModelProperty(value = "干线运行状态 1：畅通 2：缓行 3：拥堵")
    private int state;

    @ApiModelProperty(value = "状态持续时长，单位秒")
    private int duration;

    @ApiModelProperty(value = "分析时段总时长，单位秒")
    private int totalTime;

}
