package net.wanji.opt.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author duanruiming
 * @date 2024/12/05 19:29
 */
@Getter
@AllArgsConstructor
public enum StrategyControlEnum {
    ZERO(0, "绿波带"),
    ONE(1, "失衡"),
    TWO(2, "溢出"),
    THREE(3, "空放");

    private int code;
    private String desc;

    public static String getDesc(int code) {
        for (StrategyControlEnum value : StrategyControlEnum.values()) {
            if (code == value.getCode()) {
                return value.getDesc();
            }
        }
        return "";
    }
}
