package net.wanji.opt.service;

import net.wanji.databus.bo.CrossIdBO;
import net.wanji.databus.po.CrossDataRealtimePO;
import net.wanji.databus.po.CrossDirDataRealtimePO;
import net.wanji.databus.po.TBaseCrossInfo;
import net.wanji.opt.vo.CrossOptResult;

import java.util.List;
import java.util.Map;

/**
 * @author duanruiming
 * @date 2024/11/25 19:12
 */
public interface CrossIndexService {
    Map<Integer, CrossDirDataRealtimePO> crossDirIndex(CrossIdBO crossIdBO);

    CrossDataRealtimePO crossIndex(CrossIdBO crossIdBO);

    List<TBaseCrossInfo> crossInfoList();

    List<CrossOptResult> crossOptResultList(CrossIdBO crossIdBO) throws Exception;
}
